Which Eclipse version should I use for an Android app?


Question

I am starting to develop Android applications. Which version of Eclipse should I use?

I see there are 11 versions. I am confused with these:

  1. Eclipse IDE for Java Developers
  2. Eclipse Classic 3.6.1
  3. Eclipse IDE for Java EE Developers
  4. Pulsar for Mobile Developers
1
153
1/12/2016 8:17:43 PM

Accepted Answer

Update July 2017:

From ADT Plugin page, the question must be unasked:

The Eclipse ADT plugin is no longer supported, as per this announcement in June 2015.

The Eclipse ADT plugin has many known bugs and potential security bugs that will not be fixed.

You should immediately switch to use Android Studio, the official IDE for Android. For help transitioning your projects, read Migrate to Android Studio.

103
7/7/2017 9:19:34 PM

The easiest solution is to download the Android SDK bundle:

http://developer.android.com/sdk/installing/bundle.html

The ADT Bundle provides everything you need to start developing apps, including a version of the Eclipse IDE with built-in ADT (Android Developer Tools) to streamline your Android app development.


Licensed under: CC-BY-SA with attribution
Not affiliated with: Stack Overflow
Icon